debug protocols all;

filter vipaddr {
  include "/usr/local/etc/bird_includes/*.cfg";
  reject;
}

protocol direct {
  ipv4;
  interface "lo";
}

template bgp hostleaf {
  local 100.91.38.1 as 4272422909;
  # bfd;
  ipv4 {
    export filter vipaddr;
    import all;
    # graceful restart;
    add paths;
  };
}

#protocol bgp uplink1 from hostleaf {
#  neighbor 100.91.38.60 as 4272357393;
#}

protocol bgp uplink2 from hostleaf {
  neighbor 100.91.38.61 as 4272357393;
}


protocol kernel {
  ipv4 {
    import all;
    export all;
  };
  merge paths; # exports ecmp paths to kernel
}

protocol device {
  scan time 10;
}

protocol bfd {
  interface "bond*" {
    min rx interval 300 ms;
    min tx interval 300 ms;
    multiplier 3;
  };
}